libetonyek::KEY1Dictionary::StylesContext Struct Reference documentation

Public Member Functions | Public Attributes | Static Protected Member Functions | List of all members
libetonyek::KEY1Dictionary::StylesContext Struct Reference

`#include <KEY1Dictionary.h>`

## Public Member Functions
| StylesContext ()
void | link (const StylesContext &parentContext)
| link all style to their parent

## Public Attributes
StyleContext | m_imageContext
StyleContext | m_lineContext
StyleContext | m_shapeContext
StyleContext | m_textboxContext
KEYPlaceholderPtr_t | m_bodyPlaceholder
KEYPlaceholderPtr_t | m_pageNumberPlaceholder
KEYPlaceholderPtr_t | m_titlePlaceholder

## Static Protected Member Functions
static void | link (KEYPlaceholderPtr_t &placeholder, const KEYPlaceholderPtr_t &parentHolder)

## Constructor & Destructor Documentation

## ◆ StylesContext()

libetonyek::KEY1Dictionary::StylesContext::StylesContext | ( |  | ) |

## Member Function Documentation

## ◆ link() [1/2]

void libetonyek::KEY1Dictionary::StylesContext::link | ( | const StylesContext & | parentContext | ) |

link all style to their parent

Referenced by libetonyek::KEY1Dictionary::linkStylesContext().

## ◆ link() [2/2]

void libetonyek::KEY1Dictionary::StylesContext::link | ( | KEYPlaceholderPtr_t & | placeholder,
|  | const KEYPlaceholderPtr_t & | parentHolder )
| staticprotected

## Member Data Documentation

## ◆ m_bodyPlaceholder

KEYPlaceholderPtr_t libetonyek::KEY1Dictionary::StylesContext::m_bodyPlaceholder

Referenced by libetonyek::KEY1Dictionary::getBodyPlaceholder(), link(), libetonyek::KEY1Dictionary::storeBodyPlaceholder(), and StylesContext().

## ◆ m_imageContext

StyleContext libetonyek::KEY1Dictionary::StylesContext::m_imageContext

Referenced by link(), libetonyek::KEY1Dictionary::storeImageStyle(), and StylesContext().

## ◆ m_lineContext

StyleContext libetonyek::KEY1Dictionary::StylesContext::m_lineContext

Referenced by link(), libetonyek::KEY1Dictionary::storeLineStyle(), and StylesContext().

## ◆ m_pageNumberPlaceholder

KEYPlaceholderPtr_t libetonyek::KEY1Dictionary::StylesContext::m_pageNumberPlaceholder

Referenced by libetonyek::KEY1Dictionary::getPageNumberPlaceholder(), link(), libetonyek::KEY1Dictionary::storePageNumberPlaceholder(), and StylesContext().

## ◆ m_shapeContext

StyleContext libetonyek::KEY1Dictionary::StylesContext::m_shapeContext

Referenced by link(), libetonyek::KEY1Dictionary::storeShapeStyle(), and StylesContext().

## ◆ m_textboxContext

StyleContext libetonyek::KEY1Dictionary::StylesContext::m_textboxContext

Referenced by link(), libetonyek::KEY1Dictionary::storeTextboxStyle(), and StylesContext().

## ◆ m_titlePlaceholder

KEYPlaceholderPtr_t libetonyek::KEY1Dictionary::StylesContext::m_titlePlaceholder

Referenced by libetonyek::KEY1Dictionary::getTitlePlaceholder(), link(), libetonyek::KEY1Dictionary::storeTitlePlaceholder(), and StylesContext().

The documentation for this struct was generated from the following files:

- KEY1Dictionary.h
- KEY1Dictionary.cpp